package com.ruoyi.system.domain.zb;

import java.io.Serializable;
import java.util.Date;

public class ZbAutoRecord implements Serializable {
    private Long id;

    /**
     * 开启自动发布的周报id
     *
     * @mbg.generated
     */
    private String reportId;

    /**
     * 当前最新的周报id
     *
     * @mbg.generated
     */
    private String lastReportId;

    /**
     * 最新的周数
     *
     * @mbg.generated
     */
    private String lastWeek;

    /**
     * 年份
     *
     * @mbg.generated
     */
    private String year;

    /**
     * 是否有效
     *
     * @mbg.generated
     */
    private Byte valid;

    private Date createTime;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getReportId() {
        return reportId;
    }

    public void setReportId(String reportId) {
        this.reportId = reportId;
    }

    public String getLastReportId() {
        return lastReportId;
    }

    public void setLastReportId(String lastReportId) {
        this.lastReportId = lastReportId;
    }

    public String getLastWeek() {
        return lastWeek;
    }

    public void setLastWeek(String lastWeek) {
        this.lastWeek = lastWeek;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public Byte getValid() {
        return valid;
    }

    public void setValid(Byte valid) {
        this.valid = valid;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", reportId=").append(reportId);
        sb.append(", lastReportId=").append(lastReportId);
        sb.append(", lastWeek=").append(lastWeek);
        sb.append(", year=").append(year);
        sb.append(", valid=").append(valid);
        sb.append(", createTime=").append(createTime);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        ZbAutoRecord other = (ZbAutoRecord) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getReportId() == null ? other.getReportId() == null : this.getReportId().equals(other.getReportId()))
            && (this.getLastReportId() == null ? other.getLastReportId() == null : this.getLastReportId().equals(other.getLastReportId()))
            && (this.getLastWeek() == null ? other.getLastWeek() == null : this.getLastWeek().equals(other.getLastWeek()))
            && (this.getYear() == null ? other.getYear() == null : this.getYear().equals(other.getYear()))
            && (this.getValid() == null ? other.getValid() == null : this.getValid().equals(other.getValid()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getReportId() == null) ? 0 : getReportId().hashCode());
        result = prime * result + ((getLastReportId() == null) ? 0 : getLastReportId().hashCode());
        result = prime * result + ((getLastWeek() == null) ? 0 : getLastWeek().hashCode());
        result = prime * result + ((getYear() == null) ? 0 : getYear().hashCode());
        result = prime * result + ((getValid() == null) ? 0 : getValid().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        return result;
    }
}